Skip to main content
`Ctrl`+`K`

# MatSeqAIJHIPSPARSERestoreArrayWrite

restore the write-only access array obtained from `MatSeqAIJHIPSPARSEGetArrayWrite()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJHIPSPARSERestoreArrayWrite(Mat A, PetscScalar *a[])

Not Collective

## Input Parameters

- A - a `MATSEQAIJHIPSPARSE` matrix

- a - pointer to the device data

## See Also

Matrices, `Mat`, `MatSeqAIJHIPSPARSEGetArrayWrite()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cpp

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages